public interface SqlInstancesCloneRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesCloneRequest getBody()
.google.cloud.sql.v1.InstancesCloneRequest body = 100 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
InstancesCloneRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesCloneRequestOrBuilder getBodyOrBuilder()
.google.cloud.sql.v1.InstancesCloneRequest body = 100 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
InstancesCloneRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Required. The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Required. The ID of the Cloud SQL instance to be cloned (source). This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Required. Project ID of the source Cloud SQL instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Required. Project ID of the source Cloud SQL instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody()
.google.cloud.sql.v1.InstancesCloneRequest body = 100 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |